package com.tjk.dao;

import java.util.List;

import com.tjk.annotation.MyBatisRepository;
import com.tjk.entity.Favorite;
import com.tjk.vo.FavoritePageVo;

@MyBatisRepository
public interface FavoriteMapper {
	//添加收藏
	Integer addCollect(Favorite favorite);
	//取消收藏
	Integer cancelCollect(Favorite favorite);
	//查询收藏
	List<Favorite> getCollect(FavoritePageVo pageVo);
	//
	Integer findRows(FavoritePageVo pageVo);
}
